/*  Gringotts - a small utility to safe-keep sensitive data
 *  (c) 2002, Germano Rizzo <mano@pluto.linux.it>
 *
 *  grg_defs.h - various declarations
 *  Author: Germano Rizzo
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef GRG_DEFS_H
#define GRG_DEFS_H

#include <glib.h>

#ifdef HAVE_CONFIG_H

#include "config.h"

#endif

#include <libintl.h>
#define _(String) gettext (String)

//response
typedef enum {
	GRG_YES,
	GRG_NO,
	GRG_CANCEL
} grg_response;

//saveability
typedef enum {
	GRG_SAVE_INACTIVE,
	GRG_SAVE_ACTIVE,
	GRG_SAVE_QUERY
} grg_saveable;

//cut/copy/paste
typedef enum {
	GRG_CUT,
	GRG_COPY,
	GRG_PASTE
} grg_clip_action;

//returned OK
#define GRG_OK			0

//error
#define GRG_READ_INVALID_CHARSET_ERR	-101

//interface-specific constants
#define GRG_PAD			4

//internal encryption algorythm
#define SESSION_ALGO	MCRYPT_RIJNDAEL_128

//suffix to Gringotts files
#define SUFFIX		".grg"
#define SUFFIX_LEN	4

//suffix to add to backup files
#define BACKUP_SUFFIX	".bak"

//direction to move to
#define GRG_MV_FIRST	1
#define GRG_MV_NEXT		2
#define GRG_MV_PREV		3
#define GRG_MV_LAST		4

#endif
